Bug 380431 - cupsd no longer accepts non-UTF-8 IPP requests
cupsd no longer accepts non-UTF-8 IPP requests
Status: CLOSED WONTFIX
Product: Fedora
Classification: Fedora
Component: cups (Show other bugs)
9
All Linux
medium Severity medium
: ---
: ---
Assigned To: Tim Waugh
Fedora Extras Quality Assurance
: Tracking
Depends On: 378211 380591 382111 382291
Blocks:
  Show dependency treegraph
 
Reported: 2007-11-13 12:04 EST by Tim Waugh
Modified: 2009-07-14 13:23 EDT (History)
1 user (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2009-07-14 13:23:49 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)


External Trackers
Tracker ID Priority Status Summary Last Updated
CUPS Bugs and Features 2593 None None None Never

  None (edit)
Description Tim Waugh 2007-11-13 12:04:46 EST
This is a tracker bug for issues relating to the fact that since CUPS 1.3.4,
cupsd no longer accepts IPP requests that specify an attributes-charset value of
anything other than 'utf-8' or 'us-ascii'.
Comment 1 Tim Waugh 2007-11-13 12:07:02 EST
In Fedora 8, cups-1.3.4-3.fc8 now accepts non-UTF-8 requests as a temporary
measure.  Upstream CUPS will still reject requests unless they are in UTF-8, and
in time Fedora will do the same.
Comment 2 Paul Osmialowski 2008-08-18 07:42:12 EDT
I guess It happend with F8 because after one of recent updates of cups-lpd I can't print from Windows 98 computers with HLPRMON lpr monitor taken from http://rarfaxp.riken.go.jp/~iwasa/link-windows.html
I've found old DVD with Fedora 4 and reinstalled systems, it solved the problem. Unfortunately, printing ability became more important than mainstream pressure.
Comment 3 Bug Zapper 2009-06-09 19:10:39 EDT
This message is a reminder that Fedora 9 is nearing its end of life.
Approximately 30 (thirty) days from now Fedora will stop maintaining
and issuing updates for Fedora 9.  It is Fedora's policy to close all
bug reports from releases that are no longer maintained.  At that time
this bug will be closed as WONTFIX if it remains open with a Fedora 
'version' of '9'.

Package Maintainer: If you wish for this bug to remain open because you
plan to fix it in a currently maintained version, simply change the 'version' 
to a later Fedora version prior to Fedora 9's end of life.

Bug Reporter: Thank you for reporting this issue and we are sorry that 
we may not be able to fix it before Fedora 9 is end of life.  If you 
would still like to see this bug fixed and are able to reproduce it 
against a later version of Fedora please change the 'version' of this 
bug to the applicable version.  If you are unable to change the version, 
please add a comment here and someone will do it for you.

Although we aim to fix as many bugs as possible during every release's 
lifetime, sometimes those efforts are overtaken by events.  Often a 
more recent Fedora release includes newer upstream software that fixes 
bugs or makes them obsolete.

The process we are following is described here: 
http://fedoraproject.org/wiki/BugZappers/HouseKeeping
Comment 4 Bug Zapper 2009-07-14 13:23:49 EDT
Fedora 9 changed to end-of-life (EOL) status on 2009-07-10. Fedora 9 is 
no longer maintained, which means that it will not receive any further 
security or bug fix updates. As a result we are closing this bug.

If you can reproduce this bug against a currently maintained version of 
Fedora please feel free to reopen this bug against that version.

Thank you for reporting this bug and we are sorry it could not be fixed.

Note You need to log in before you can comment on or make changes to this bug.